import { get, put, post, deletes } from '@/http/index'

// 查询故障诊断列表
export const getFaultDiagnosis = async (data) => {
  return await get('/als/faultDiagnosis/list', data)
}

// 新增故障诊断
export const addFaultDiagnosis = async (data) => {
  return await post('/als/faultDiagnosis', data)
}

// 修改故障诊断
export const updateFaultDiagnosis = async (data) => {
  return await put('/als/faultDiagnosis', data)
}

// 删除故障诊断
export const removeFaultDiagnosis = async (id) => {
  return await deletes('/als/faultDiagnosis/' + id)
}

//  获取机种和机型树
export const getAircaftTypeAndModelTree = async (data) => {
  return await get('/basicdata/aircaftCatalog/getAircaftTypeAndModelTree', data)
}
